Package Gnumed :: Package timelinelib :: Package wxgui :: Module keyboard :: Class Keyboard |
[frames] | no frames]

# Class Keyboard

source code

    object --+
             |
            Keyboard

Instance Methods
__init__(self, ctrl=False, shift=False, alt=False) x.__init__(...) initializes x; see help(type(x)) for signature | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| CTRL = `4`
| SHIFT = `2`
| ALT = `1`
| NONE = `0`

Properties
| ctrl
| shift
| alt
| keys_combination This function returns a unique integer value for each combination of control keys.
Inherited from `object`: `__class__`

Method Details

### __init__(self, ctrl=False, shift=False, alt=False) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)

Property Details

### ctrl Get Method: unreachable.ctrl(self)

### shift Get Method: unreachable.shift(self)

### alt Get Method: unreachable.alt(self)

### keys_combination This function returns a unique integer value for each combination of control keys. It may seem a little odd to use the if statements but that has been proven to be the most efficient way of converting a boolean to an int. Get Method: unreachable.keys_combination(self) - This function returns a unique integer value for each combination of control keys.